package jrummikub.util;

import java.util.HashSet;

public class MockEvent1<T> implements IEvent1<T> {
	public HashSet<IListener1<T>> listeners = new HashSet<IListener1<T>>();

	@Override
	public Connection add(final IListener1<T> listener) {
		listeners.add(listener);
	    return new Connection() {
			
			@Override
			public void remove() {
				MockEvent1.this.remove(listener);
			}
		};
	}

	@Override
	public void remove(IListener1<T> listener) {
		listeners.remove(listener);
	}

	public void emit(T value) {
		for (IListener1<T> listener : listeners) {
			listener.handle(value);
		}
	}
}
